local YjTreasureLogic = require("yjTreasure.YjTreasureLogic")
local YjTreasureCombat = require("yjTreasure.YjTreasureCombat")

function CG_YJTREASURE_QUERY(human)
	YjTreasureLogic.CG_YJTREASURE_QUERY(human)
end

function CG_YJTREASURE_TOUCH_GRID(human,msg)
	YjTreasureLogic.CG_YJTREASURE_TOUCH_GRID(human,msg.gridIndex)
end

function CG_YJTREASURE_USE_YAOJI(human,msg)
	YjTreasureLogic.CG_YJTREASURE_USE_YAOJI(human,msg.type,msg.index)
end

function CG_YJTREASURE_SOUL_SELECT(human,msg)
	YjTreasureLogic.CG_YJTREASURE_SOUL_SELECT(human,msg.gridIndex,msg.select)
end

function CG_YJTREASURE_QUESTION_SELECT(human,msg)
	YjTreasureLogic.CG_YJTREASURE_QUESTION_SELECT(human,msg.gridIndex,msg.questionID,msg.select)
end

function CG_YJTREASURE_DICE_USE(human,msg)
	YjTreasureLogic.CG_YJTREASURE_DICE_USE(human,msg.use,msg.gridIndex)
end

function CG_YJTREASURE_BOXREWARD_OPEN(human,msg)
	YjTreasureLogic.CG_YJTREASURE_BOXREWARD_OPEN(human,msg.gridIndex)
end

function CG_YJTREASURE_TREASURESHOP_BUY(human,msg)
	YjTreasureLogic.CG_YJTREASURE_TREASURESHOP_BUY(human,msg.allShopID)
end

function CG_YJTREASURE_YJSHOPER(human)
	YjTreasureLogic.CG_YJTREASURE_YJSHOPER(human)
end

function CG_YJTREASURE_YJSHOPER_BUY(human,msg)
	YjTreasureLogic.CG_YJTREASURE_YJSHOPER_BUY(human,msg.allShopID)
end

function CG_YJTREASURE_ALLSHOP(human)
	YjTreasureLogic.CG_YJTREASURE_ALLSHOP(human)
end

function CG_YJTREASURE_UPDATE_FIGHT(human,msg)
	YjTreasureCombat.CG_YJTREASURE_UPDATE_FIGHT(human,msg.pos)
end

function CG_YJTREASURE_BUFF_QUERY(human)
	YjTreasureLogic.CG_YJTREASURE_BUFF_QUERY(human)
end

function CG_YJTREASURE_SAODANG(human)
	YjTreasureCombat.CG_YJTREASURE_SAODANG(human)
end

function CG_YJTREASURE_DABIAOREWARD(human)
	YjTreasureLogic.CG_YJTREASURE_DABIAOREWARD(human)
end

function CG_YJTREASURE_BILLBOARD(human)
	YjTreasureLogic.CG_YJTREASURE_BILLBOARD(human)
end

function CG_YJTREASURE_ALLSHOP_BUY(human,msg)
	YjTreasureLogic.CG_YJTREASURE_ALLSHOP_BUY(human,msg.allShopID)
end